summaryrefslogtreecommitdiff
path: root/scripts/functions
diff options
context:
space:
mode:
authorAlexey Neyman <stilor@att.net>2017-08-23 00:24:42 (GMT)
committerGitHub <noreply@github.com>2017-08-23 00:24:42 (GMT)
commit8e8417226d5cdd90896df2c585ad03a995e5e9a1 (patch)
tree9252d1f31d2c046cbfb18d152ac675c52b00e8e5 /scripts/functions
parent9ee0e06f573d2e35444324bc308a1326bbba9a5f (diff)
parent20e0f706c60898a283374bbd15096b7bd6b1fbc5 (diff)
Merge pull request #809 from stilor/refix-ppc64le
Refix ppc64le
Diffstat (limited to 'scripts/functions')
-rw-r--r--scripts/functions15
1 files changed, 15 insertions, 0 deletions
diff --git a/scripts/functions b/scripts/functions
index cc7e131..26ff88a 100644
--- a/scripts/functions
+++ b/scripts/functions
@@ -1713,6 +1713,7 @@ CT_PackageRun()
# Fetching the sources is run in the main process, so no need to
# use CT_EnvModify.
for v in devel_branch devel_revision basename version; do
+ eval "[ \"\${${v}}\" != \"\${CT_${use}_${v^^}}\" ] || continue"
eval "CT_${use}_${v^^}=\${${v}}"
eval "CT_DoLog DEBUG \"Override CT_${use}_${v^^}=\${CT_${use}_${v^^}}\""
done
@@ -2009,3 +2010,17 @@ CT_ExtractPatch()
shift
CT_PackageRun "${pkg}" CT_DoExtractPatch "$@"
}
+
+CT_DoGetPkgVersion()
+{
+ echo "${version}"
+}
+
+# Get the version of the package (main or fork)
+CT_GetPkgVersion()
+{
+ local pkg="${1}"
+ shift
+
+ CT_PackageRun "${pkg}" CT_DoGetPkgVersion
+}